#44 to many messages indicating an error with audio

closed-wont-fix
nobody
None
5
2006-02-07
2006-01-19
jan gerber
No

trying to use gstreamer to capture dv from a
camcorder(JVC | Thomson) i get lots of error messages
printed out on the terminal:

# audio block/sample failure for 0 blocks, 42 samples
of 1920
asf 00:22:16.23 2002-01-10 23:39:30 73 07 02 16 1/36
asf 00:22:16.23 2002-01-10 23:39:30 73 07 04 16 1/36
asf 00:22:16.23 2002-01-10 23:39:30 73 07 05 16 1/36
asf 00:22:16.23 2002-01-10 23:39:30 73 07 08 16 1/36
asf 00:22:16.23 2002-01-10 23:39:30 73 17 02 16 1/36
asf 00:22:16.23 2002-01-10 23:39:30 73 17 04 16 1/36
asf 00:22:16.23 2002-01-10 23:39:30 73 17 05 16 1/36
...

this is a pointless messages, since otherwise can use
the camera. the endless output on the temrinal slows
down my system though.
it would be great if the issue could be solved.
otherwise just printing out the error message once
and that silencing the output would be better than
the current situation.

is i can help with solving this issue please let me know..

Discussion

  • Andy Wingo

    Andy Wingo - 2006-01-19

    Logged In: YES
    user_id=268660

    I can verify this with a JVC camera I used to have (it was
    stolen, goodbye bugs ;)

    This problem does not happen with other cameras, only the
    JVC for me.

     
  • Dan Dennedy

    Dan Dennedy - 2006-01-23

    Logged In: YES
    user_id=78682

    In the more recent releases of dvgrab and Kino I suppress
    these messages using the libdv API call "FILE
    *dv_set_error_log (dv_decoder_t *dv, FILE *errfile);" and
    supplying a NULL pointer. The messages are completely
    valid, but mostly confusing to end users, and may
    interfere with operation as seen in your case. I think
    gstreamer should do the same. Otherwise, the app needs to
    redirect the log to some file or pipe and filter the
    results as you suggest.

     
  • Dan Dennedy

    Dan Dennedy - 2006-01-23
    • status: open --> pending-wont-fix
     
  • SourceForge Robot

    • status: pending-wont-fix --> closed-wont-fix
     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • Andy Wingo

    Andy Wingo - 2006-02-07

    Logged In: YES
    user_id=268660

    Thanks for the tip Dan, we added this to GStreamer a couple
    weeks ago. Cheers!

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks